Support » Plugin: All In One WP Security & Firewall » Locks one plugin

  • Resolved Piani

    (@webbmasterpianise)


    Hi

    I use your plugin on several sites and with lots of other plugins and it works really great and have helped me protect the sites easy and secure.

    I have one other plugin to encode my visible e-mail adresses and when I try to use or upgrade this plugin the security plugin stops me. Is there a error in that plugin or have I just too much security up? Please advice.

    This is the error I get:
    Forbidden
    You don’t have permission to access /wp-admin/options-general.php on this server.

    This is the support thread at Email Adress Encoder:
    Email adress encoder

    They dont know what cause this error.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author wpsolutions

    (@wpsolutions)

    Hi,
    This could be due to one of the firewall rules. Try doing some tests to see if you can find which firewall rule might be causing this for you.

    Piani

    (@webbmasterpianise)

    Thanks for the hint in the right direction. I found just the one option that caused this.

    Additional Firewall Rules > Bad Query Strings

    “This feature will write rules in your .htaccess file to prevent malicious string attacks on your site using XSS.
    NOTE: Some of these strings might be used for plugins or themes and hence this might break some functionality.”

    I will inform the email address encoder and see if there is a possible change.

    Piani

    (@webbmasterpianise)

    Issue is solved and closed.

    Piani, how did you manage to solve the problem? Faced absolutely with the same question.

    Plugin Author wpsolutions

    (@wpsolutions)

    Hi @crimeafrend,
    Try disabling the following firewall rule:
    Additional Firewall Rules >> Bad Query Strings

    Yes, thanks, it works. I did not immediately understand that you can turn off browser rules to configure the plugin, and then turn it back on. Maybe it was worth it to indicate in the manual? I see this problem is not unique.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Locks one plugin’ is closed to new replies.